BizKitHub
DocsAPI ReferenceBranch/bff/branch/gallery-image-set-logo
getBranchAdmin BFF

/bff/branch/gallery-image-set-logo

Sets the is_logo flag for the image. When value is true, the flag is cleared from other images in the same branch first.

BranchgetBffBranchGallery-image-set-logo

Parameters

3 query

Query parameters

· 3
slugstringRequired

Branch slug.

Exampleexample_slug
blobTokenstringRequired

Blob token of the image.

Exampleexample_blobToken
valuestringRequired

Set to "true" to mark as logo, otherwise "false".

Exampletrue

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

GET /bff/branch/gallery-image-set-logo

get
curl -X GET "https://api.bizkithub.com/bff/branch/gallery-image-set-logo?slug=example_slug&blobToken=example_blobToken&value=true" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key